exif(1)

BEZEICHNUNG
exif - zeigt EXIF-Informationen in JPEG-Dateien an

ÜBERSICHT
exif [ OPTION ] [ Datei … ]

BESCHREIBUNG
exif ist ein kleines Befehlszeilenwerkzeug zum Anzeigen und Bearbeiten der EXIF-Informationen in JPEG-Dateien.

Die meisten Digitalkameras erstellen EXIF-Dateien. Das sind JPEG-Dateien mit zusätzlichen Tags, die Informationen zum Bild enthalten. Das Befehlszeilenwerkzeug exif ermöglicht Ihnen das Lesen der EXIF-Informationen in der Datei und das Speichern von EXIF-Informationen in solche Dateien. Intern benutzt exif die Bibliothek libexif.

Jede der auf der Befehlszeile übergebenen Dateien wird mit allen angegebenen Optionen bearbeitet. Die Ausführung wird sofort abgebrochen, wenn eine der Dateien nicht lesbar ist oder keine EXIF-Tags enthält.

Beim Lesen der EXIF-Tags werden die unbekannten verworfen und die bekannten automatisch in das korrekte Format umgewandelt, sofern das nicht bereits geschehen ist. Beschädigte MarkerNote-Tags werden ebenfalls entfernt, aber keine Formatänderungen vorgenommen.

OPTIONEN

-v, --version
    zeigt die Versionsnummer von exif an.

-i, --ids
    zeigt IDs anstelle von Tag-Namen an.

-t, --tag=TAG
    wählt nur diesen TAG. TAG ist der Titel des Tags, dessen Kurzbezeichnung oder dessen Nummer (hexadezimalen Nummern wird ein 0x vorangestellt) aus der mit --ifd angegebenen IFD. Der Titel des Tags ist von der gegenwärtigen Spracheinstellung abhängig, wobei Name und Nummer allerdings nicht von der Spracheinstellung beeinflusst werden.

--ifd=IFD
    wählt einen oder mehrere Tags aus dieser IFD. Gültige IFDs sind »0«, »1«, »EXIF«, »GPS« und »Interoperability«. Vorgabe ist »0«.

-l, --list-tags
    listet alle bekannten EXIF-Tags und IFDs auf. Ein JPEG-Bild muss angegeben werden. Jene Tags, die in dieser Datei vorkommen, werden mit einem Sternchen an der entsprechenden Position in der Liste markiert.

-|, --show-mnote
    zeigt den Inhalt des MarkerNote-Tags an. Die Inhalte dieses Tags sind nicht standardisiert (und oft auch nicht dokumentiert) und könnten deswegen nicht erkannt werden. Werden sie jedoch erkannt, heißt das nicht unbedingt, dass sie auch richtig interpretiert werden.

--remove
    entfernt den Tag oder (wenn kein Tag angegeben ist) die gesamte IFD.

-s, --show-description
    zeigt die Beschreibung des Tags an. Die Option »--tag« muss ebenfalls angegeben werden.

-e, --extract-thumbnail
    entpackt das Vorschaubild und speichert es in der Datei, die mit --output angegeben ist.

-r, --remove-thumbnail
    entfernt das Vorschaubild aus dem Bild, wobei das neue Bild in die Datei geschrieben wird, die mit --output angegeben wird.

-n, --insert-thumbnail=DATEI
    fügt DATEI als Vorschaubild ein. Es wird dabei nicht überprüft, ob der Inhalt der DATEI tatsächlich in einem gültigen Vorschauformat vorliegt.

--no-fixup
    verhindert den Versuch, die inkorrekte Anwendung der EXIF-Spezifikation beim Lesen von Tags zu reparieren. Wenn diese Option zusammen mit --create-exif verwendet wird, dann werden die obligatorischen Tags nicht erstellt. exif entfernt ansonsten ungültige oder unbekannte Tags und fügt Standardwerte für einige obligatorische Tags hinzu. Weiterhin wird der Datentyp einiger Tags so geändert, dass dieser der Spezifikation entspricht.

-o, --output=DATEI
    schreibt das Ausgabebild in DATEI Wenn diese Option nicht angegeben ist, aber eine Bilddatei geschrieben werden muss, wird für die Ausgabedatei der Name der Eingabedatei verwendet und das Suffix ».modified.jpg« angehängt.

--set-value=WERT
    setzt die Daten für den mit »--tag« und »--ifd« bezeichneten Tag auf WERT. Verkettete Wertangaben für mehrere Komponenten sind möglich, indem die einzelnen Komponenten durch Leerzeichen getrennt werden.

-c, --create-exif
    erstellt EXIF-Daten, falls diese noch nicht existieren. Wenn die Option --no-fixup nicht angegeben ist, werden obligatorische Tags mit Standardwerten erstellt. Diese Option kann in den meisten Fällen als Ersatz für einen Eingabedateinamen verwendet werden, um mit dem Satz obligatorischer EXIF-Tags zu arbeiten. In diesem Fall hat die Option --output keinen Effekt und es wird keine Datei geschrieben.

-m, --machine-readable
    erzeugt die Ausgabe in einem maschinenlesbaren (durch Tabulatoren getrennten) Format. Die Optionen --xml-output und --machine-readable schließen sich gegenseitig aus.

-w, --width=N
    setzt die maximale Breite der Ausgabe auf N Zeichen (Vorgabe ist 80). Dies wirkt sich auf einige Ausgabeformate nicht aus, zum Beispiel XML.

-x, --xml-output
    erstellt die Ausgabe in XML, wenn möglich. Die Optionen --xml-output und --machine-readable schließen sich gegenseitig aus. Beachten Sie, dass sich das XML-Schema mit der Spracheinstellung ändert und gelegentlich ungültiges XML erzeugt. Diese Option wird nicht empfohlen.

-d, --debug
    zeigt Debugging-Meldungen zur Fehlerdiagnose an. Außerdem veranlasst diese Option exif, bei einer Datei, deren Daten beschädigt sind, dennoch weiter zu arbeiten. Normalerweise wird abgebrochen, wenn beschädigte Daten erkannt werden.

  Hilfeoptionen

-?, --help
    zeigt eine kurze Hilfe an.

--usage
    zeigt einen kurzen Bedienungshinweis an.

BEISPIELE
Alle in einem Bild erkannten EXIF-Tags und deren Inhalte anzeigen, wobei inkorrekte Tags repariert werden:

    exif Bild.jpg

Eine Tabelle aller bekannten EXIF-Tags anzeigen und dabei für jedes Tag angeben, ob es in dem Bild enthalten ist:

    exif --list-tags --no-fixup Bild.jpg

Details aller XResolution-Tags im angegebenen Bild anzeigen:

    exif --tag=XResolution --no-fixup Bild.jpg

Den unverarbeiteten Inhalt des »Model«-Tags im angegebenen Bild anzeigen (mit einem angehängten Zeilenumbruch):

    exif --ifd=0 --tag=Model --machine-readable Bild.jpg

Das Vorschaubild in der Datei Vorschaubild.jpg speichern:

    exif --extract-thumbnail --output=Vorschaubild.jpg Bild.jpg

Eine Liste der numerischen Werte nur aus den EXIF-Tags im Vorschaubild IFD (IFD 1) und den Werten der Tags anzeigen:

    exif --ids --ifd=1 --no-fixup Bild.jpg

Den Inhalt des Tags 0x9209 in der »EXIF«-IFD entsprechend der EXIF-Spezifikation anzeigen:

    exif --show-description --ifd=EXIF --tag=0x9209

Einen Ausrichtungs-Tag mit dem Wert »bottom - left« zu einem existierenden Bild hinzufügen, wobei die vorhandenen Tags nicht verändert werden:

    exif --output=neu.jpg --ifd=0 --tag=0x0112 --set-value=4 --no-fixup Bild.jpg

Einen »YCbCr Sub-Sampling«-Tag mit dem wert 2,1 (YCbCr 4:2:2) zu einem existierenden Bild hinzufügen und die vorhandenen Tags reparieren, falls nötig:

    exif --output=neu.jpg --tag=YCbCrSubSampling --ifd=0 --set-value='2 1' Bild.jpg

Eine Tabelle aller bekannten EXIF-Tags anzeigen, wobei die obligatorischen hervorgehoben werden:

    exif -cl

AUTOR
exif wurde von Lutz Mueller <lutz@users.sourceforge.net> und einigen anderen Mitwirkenden entwickelt. Copyright für diese Handbuchseite © 2002-2012 Thomas Pircher, Dan Fandrich und weitere.

SIEHE AUCH
http://www.sourceforge.net/projects/libexif

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.